#ifndef GENERATEUR_H
#define GENERATEUR_H

#include <string>
#include <iostream>
#include <iomanip>
#include <vector>
#include <fstream>

#include "Cliche.h"
#include "Image.h"
#include "Point.h"
#include "Noeud.h"

/**
 *  Classe Generateur
 */
 
class Generateur
{
private:
	std::string prefixe;
	unsigned int nbCliche;
	unsigned int bitmapTailleX;
	unsigned int bitmapTailleY;
	unsigned int nbNoeudX;
	unsigned int nbNoeudY;

	Cliche *cliche;
	std::vector<Noeud> noeudTab;
	
	bool sauvegarderPos(const std::string& fichierNom);
	    
public:
	Generateur(const std::string prefixe_i, const unsigned int nbCliche_i,
		const unsigned int bitmapTailleX_i, const unsigned int bitmapTailleY_i,
		const unsigned int nbNoeud_i);
	~Generateur();
	bool generer();
};

#endif
