#ifndef POINT_H
#define POINT_H

#include <iostream>

/**
 *  Classe Point
 */

class Point
{
protected:
	unsigned int x;				/**< Abscisse du point */
	unsigned int y;				/**< Ordonne du point */
	
public:
	Point();
	Point(const unsigned int x_i, const unsigned int y_i);
	~Point();
	
	unsigned int getX() const;
	void setX(const unsigned int x_i);
	unsigned int getY() const;
	void setY(const unsigned int y_i);
	
	friend std::ostream& operator <<(std::ostream& os, const Point &p);	/**< Affichage d'un vecteur */
};

#endif
