#include "Region.h"

using namespace std;

/**
* Constructeur d'un objet Region
* @param pa_i :		sommet suprieur gauche
* @param pb_i : 	sommet infrieur droit
*/

Region::Region(const Point& pa_i, const Point& pb_i) :
		pa(pa_i), pb(pb_i)
{
}

/**
* Destructeur d'un objet Region
*/

Region::~Region()
{
}

/**
* Renvoie le sommet suprieur gauche
* @return Point : sommet suprieur gauche
*/

Point& Region::getPa()
{
	return pa;
}

/**
* Renvoie le sommet infrieur droit
* @return Point : sommet infrieur droit
*/

Point& Region::getPb()
{
	return pb;
}
