#ifndef SUIVIP1_H
#define SUIVIP1_H

#include <string>
#include <iostream>
#include <iomanip>
#include <vector>
#include <fstream>

#include "Suivi.h"

/**
 *  Classe SuiviP1
 */
 
class SuiviP1 : public Suivi
{
protected:
	int processusRang;				//!< Rang du processus
	int processusNb;				//!< Nombre totale de processus

public:
	SuiviP1(const std::string prefixe_i, const unsigned int nbCliche_i, int processusRang_i, int processusNb_i);
	virtual ~SuiviP1();
	
	virtual bool suivre();
};

#endif
