#ifndef SUIVIP1PERE_H
#define SUIVIP1PERE_H

#include <string>
#include <iostream>
#include <iomanip>
#include <vector>
#include <fstream>
#include <mpi.h>

#include "SuiviP1.h"

/**
 *  Classe SuiviP1Pere
 */
 
class SuiviP1Pere : public SuiviP1
{
private:
	bool partitionner();
	bool receptionner();
	    
	// Partitionnement en ensembles de rgions, un ensemble par processus
	
	//std::vector<std::vector<Region>> regionTab;

public:
	SuiviP1Pere(const std::string prefixe_i, const unsigned int nbCliche_i, int processusRang_i, int processusNb_i);
	~SuiviP1Pere();
	
	bool suivre();
};

#endif
